Index of Functions: A B C D E F G H I J K L M N O P Q R S T U V W X
Index Page twopi_c
Table of contents
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       twopi_c ( Twice the value of pi )

       SpiceDouble twopi_c ( void )
#### Abstract
       Return twice the value of pi (the ratio of the circumference of
       a circle to its diameter).
#### Required_Reading
       None.
#### Keywords
       CONSTANTS
#### Brief_I/O
       The function returns twice the value of pi.
#### Detailed_Input
       None.
#### Detailed_Output
       The function returns twice the value of pi (the ratio of
       a circle's circumference to its diameter), determined by
       the ACOS function. That is,

               twopi = acos ( -1. ) * 2.
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       The first time the function is referenced, the value is computed
       as shown above. The value is saved, and returned directly upon
       subsequent reference.
#### Examples
       The code fragment below illustrates the use of twopi_c.

            /.
                   The longitude of the ascending node is the angle
                   between the x-axis and the node vector, n.
                                                           -
            ./
                   node = acos ( n[0] / vnorm_c( n ) );

                   if ( node < 0.D0 )
                      {
                      node = node + twopi_c();
                      }
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       J. Diaz del Rio     (ODC Space)
       W.L. Taber          (JPL)
       I.M. Underwood      (JPL)
       E.D. Wright         (JPL)
#### Version
       -CSPICE Version 1.0.1, 02-JUN-2021 (JDR)

           Edited the header to comply with NAIF standard.

       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW) (WLT) (IMU)
#### Index_Entries
       twice the value of pi
#### Link to routine twopi_c source file twopi_c.c

    Fri Dec 31 18:41:14 2021